% APRENDIZAJE AUTOMÁTICO: UN ENFOQUE PRÁCTICO
% Autores: María Guijarro, P. Javier Herrera y Gonzalo Pajares
% Copyright RA-MA, 2010
% Capítulo 3: COMBINACIÓN DE CLASIFICADORES

function colores = MapaColores (DATOS_CLASES)

 hold off
% definicion de los colores

colores = [1 0 0; 0 1 0; 0 0 1; 1 1 0; 1 0 1; 0 1 1; 1 0.5 0; 0 1 0.5; 0.5 0 1];
[r,s] = size(colores); Mapacolores = zeros(1,r,s); Mapacolores(1,:,:) = colores;

Mapaclases = Mapacolores;

[aa,bb] = size(DATOS_CLASES(1).vFuzzy);

[t,c]= size(DATOS_CLASES);
for i=1:1:c
    %color = mat2gray(DATOS_CLASES(i).vFuzzy);
    color = DATOS_CLASES(i).vFuzzy./255;
    Mapaclases(1,i,:) = color;
end

% figure;
MAP = colormap;

% subplot(2,1,1);
imshow(Mapaclases,MAP,'YData',[0 0]);
% set(gca,'Position',[0, 0, 80, 80])

hold on

% subplot(2,1,2);
imshow(Mapacolores,MAP,'YData',[1 0]);
% set(gca,'Position',[10, 10, 80, 80])

% grid on
hold off

